Bug 143457 - gv crashes after some errors
gv crashes after some errors
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gv (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 21:46 EST by Jonathan Kamens
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 11:14:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-12-20 21:46:03 EST
jik:/tmp!1075$ gv
Warning: Representation size 4 must match superclass's to override
highlightedBackground
Warning: Unsupported shape style for Command widget "toggleCurrent"
Warning: Unsupported shape style for Command widget "toggleEven"
Warning: Unsupported shape style for Command widget "toggleOdd"
Warning: Unsupported shape style for Command widget "unmarkAll"
Warning: Unsupported shape style for Command widget "autoResize"
Warning: Representation size 2 must match superclass's to override
internalWidth
Segmentation fault (core dumped)
jik:/tmp!1076$ rpm -q gv
gv-3.5.8-29
jik:/tmp!1077$ 

All my other packages are pretty current with Fedora Core development
packages.
Comment 1 Mark van Rossum 2005-06-18 12:42:56 EDT
For me this still happens on FC4 (Stentz).

gv-3.5.8-29

gs -sDEVICE=x11 
and
gs -sDEVICE=x11alpha
work ok.

Does not depend on ~/.gv
Comment 2 FX 2005-10-23 06:40:37 EDT
Interesting... this happened to me for the first time today (worked fine before)
on a FC4, up-to-date. gv is from gv-3.5.8-29. This is a segfault, and the
backtrace is

#0  0x0017d110 in rawmemchr () from /lib/libc.so.6
#1  0x0017282b in _IO_str_init_static_internal () from /lib/libc.so.6
#2  0x00168657 in vsscanf () from /lib/libc.so.6
#3  0x00163bf2 in sscanf () from /lib/libc.so.6
#4  0x08055e9d in ?? ()
#5  0x00000000 in ?? ()
Comment 3 Orion Poplawski 2005-12-15 17:10:32 EST
Please try gv-3.6.1-4.fc4 from Fedora Extras.
Comment 4 Jonathan Kamens 2005-12-17 22:53:03 EST
I currently have gv-3.6.1-4.fc5 and it does not exhibit this problem.

Note You need to log in before you can comment on or make changes to this bug.